"""song table

Revision ID: 7605a04b4c38
Revises: 4da36d57b3d8
Create Date: 2019-09-26 11:05:50.992862

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7605a04b4c38'
down_revision = '4da36d57b3d8'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('song',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=64), nullable=True),
    sa.Column('year', sa.Integer(), nullable=True),
    sa.Column('language', sa.String(length=32), nullable=True),
    sa.Column('artist', sa.String(length=64), nullable=True),
    sa.Column('genre', sa.String(length=32), nullable=True),
    sa.Column('image', sa.String(length=32), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_song_artist'), 'song', ['artist'], unique=True)
    op.create_index(op.f('ix_song_genre'), 'song', ['genre'], unique=True)
    op.create_index(op.f('ix_song_image'), 'song', ['image'], unique=True)
    op.create_index(op.f('ix_song_language'), 'song', ['language'], unique=True)
    op.create_index(op.f('ix_song_name'), 'song', ['name'], unique=True)
    op.create_index(op.f('ix_song_year'), 'song', ['year'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_song_year'), table_name='song')
    op.drop_index(op.f('ix_song_name'), table_name='song')
    op.drop_index(op.f('ix_song_language'), table_name='song')
    op.drop_index(op.f('ix_song_image'), table_name='song')
    op.drop_index(op.f('ix_song_genre'), table_name='song')
    op.drop_index(op.f('ix_song_artist'), table_name='song')
    op.drop_table('song')
    # ### end Alembic commands ###
